org.keycloak.models.jpa.entities

## Class UserEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.UserEntity

-     @Entity
      public class UserEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Collection<UserAttributeEntity>` | `attributes`
    `protected Long` | `createdTimestamp`
    `protected Collection<CredentialEntity>` | `credentials`
    `protected String` | `email`
    `protected String` | `emailConstraint`
    `protected boolean` | `emailVerified`
    `protected boolean` | `enabled`
    `protected Collection<FederatedIdentityEntity>` | `federatedIdentities`
    `protected String` | `federationLink`
    `protected String` | `firstName`
    `protected String` | `id`
    `protected String` | `lastName`
    `protected int` | `notBefore`
    `protected String` | `realmId`
    `protected Collection<UserRequiredActionEntity>` | `requiredActions`
    `protected String` | `serviceAccountClientLink`
    `protected String` | `username`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Collection<UserAttributeEntity>` | `getAttributes()`
    `Long` | `getCreatedTimestamp()`
    `Collection<CredentialEntity>` | `getCredentials()`
    `String` | `getEmail()`
    `String` | `getEmailConstraint()`
    `Collection<FederatedIdentityEntity>` | `getFederatedIdentities()`
    `String` | `getFederationLink()`
    `String` | `getFirstName()`
    `String` | `getId()`
    `String` | `getLastName()`
    `int` | `getNotBefore()`
    `String` | `getRealmId()`
    `Collection<UserRequiredActionEntity>` | `getRequiredActions()`
    `String` | `getServiceAccountClientLink()`
    `String` | `getUsername()`
    `int` | `hashCode()`
    `boolean` | `isEmailVerified()`
    `boolean` | `isEnabled()`
    `void` | `setAttributes(Collection<UserAttributeEntity> attributes)`
    `void` | `setCreatedTimestamp(Long timestamp)`
    `void` | `setCredentials(Collection<CredentialEntity> credentials)`
    `void` | `setEmail(String email, boolean allowDuplicate)`
    `void` | `setEmailConstraint(String emailConstraint)`
    `void` | `setEmailVerified(boolean emailVerified)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setFederatedIdentities(Collection<FederatedIdentityEntity> federatedIdentities)`
    `void` | `setFederationLink(String federationLink)`
    `void` | `setFirstName(String firstName)`
    `void` | `setId(String id)`
    `void` | `setLastName(String lastName)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setRealmId(String realmId)`
    `void` | `setRequiredActions(Collection<UserRequiredActionEntity> requiredActions)`
    `void` | `setServiceAccountClientLink(String serviceAccountClientLink)`
    `void` | `setUsername(String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### username

          protected String username

    - #### firstName

          protected String firstName

    - #### createdTimestamp

          protected Long createdTimestamp

    - #### lastName

          protected String lastName

    - #### email

          protected String email

    - #### enabled

          protected boolean enabled

    - #### emailVerified

          protected boolean emailVerified

    - #### emailConstraint

          protected String emailConstraint

    - #### realmId

          protected String realmId

    - #### attributes

          protected Collection<UserAttributeEntity> attributes

    - #### requiredActions

          protected Collection<UserRequiredActionEntity> requiredActions

    - #### credentials

          protected Collection<CredentialEntity> credentials

    - #### federatedIdentities

          protected Collection<FederatedIdentityEntity> federatedIdentities

    - #### federationLink

          protected String federationLink

    - #### serviceAccountClientLink

          protected String serviceAccountClientLink

    - #### notBefore

          protected int notBefore

  - ### Constructor Detail

    - #### UserEntity

          public UserEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### getCreatedTimestamp

          public Long getCreatedTimestamp()

    - #### setCreatedTimestamp

          public void setCreatedTimestamp(Long timestamp)

    - #### getFirstName

          public String getFirstName()

    - #### setFirstName

          public void setFirstName(String firstName)

    - #### getLastName

          public String getLastName()

    - #### setLastName

          public void setLastName(String lastName)

    - #### getEmail

          public String getEmail()

    - #### setEmail

          public void setEmail(String email,
                               boolean allowDuplicate)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### getEmailConstraint

          public String getEmailConstraint()

    - #### setEmailConstraint

          public void setEmailConstraint(String emailConstraint)

    - #### isEmailVerified

          public boolean isEmailVerified()

    - #### setEmailVerified

          public void setEmailVerified(boolean emailVerified)

    - #### getAttributes

          public Collection<UserAttributeEntity> getAttributes()

    - #### setAttributes

          public void setAttributes(Collection<UserAttributeEntity> attributes)

    - #### getRequiredActions

          public Collection<UserRequiredActionEntity> getRequiredActions()

    - #### setRequiredActions

          public void setRequiredActions(Collection<UserRequiredActionEntity> requiredActions)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getCredentials

          public Collection<CredentialEntity> getCredentials()

    - #### setCredentials

          public void setCredentials(Collection<CredentialEntity> credentials)

    - #### getFederatedIdentities

          public Collection<FederatedIdentityEntity> getFederatedIdentities()

    - #### setFederatedIdentities

          public void setFederatedIdentities(Collection<FederatedIdentityEntity> federatedIdentities)

    - #### getFederationLink

          public String getFederationLink()

    - #### setFederationLink

          public void setFederationLink(String federationLink)

    - #### getServiceAccountClientLink

          public String getServiceAccountClientLink()

    - #### setServiceAccountClientLink

          public void setServiceAccountClientLink(String serviceAccountClientLink)

    - #### getNotBefore

          public int getNotBefore()

    - #### setNotBefore

          public void setNotBefore(int notBefore)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.